<?php

Redux::setSection('solarglow_opt', array(
	'title'     => esc_html__('Blog Settings', 'solarglow'),
	'id'        => 'blog_page',
	'icon'      => 'dashicons dashicons-admin-post',
));


Redux::setSection('solarglow_opt', array(
	'title'     => esc_html__('Title-Bar', 'solarglow'),
	'id'        => 'blog_titlebar_settings',
	'icon'      => 'dashicons dashicons-admin-post',
    'subsection' => true,
	'fields'    => array(
		array(
			'title'     => esc_html__('Blog Page Title', 'solarglow'),
			'subtitle'  => esc_html__('Give here the blog page title', 'solarglow'),
			'desc'      => esc_html__('This text will be show on blog page banner', 'solarglow'),
			'id'        => 'blog_title',
			'type'      => 'text',
			'default'   => 'News'
		),
	)
));


Redux::setSection('solarglow_opt', array(
    'title'     => esc_html__('Layout Style', 'solarglow'),
    'id'        => 'blog_layout_settings',
    'icon'      => 'dashicons dashicons-align-left',
    'subsection' => true,
    'fields'    => array(
        array(
            'title'     => esc_html__('Select Blog Layout Style', 'solarglow'),
            'id'        => 'blog_layout_style',
            'type'      => 'image_select',
            'default'   => '1',
            'options'   => array(
                '1' => array(
                    'alt' => esc_html__('Right Sidebar - Default', 'solarglow'),
                    'img' => esc_url(SOLARGLOW_DIR_IMG.'/opt/right-sidebar.png')
                ),
                '2' => array(
                    'alt' => esc_html__('Left Sidebar', 'solarglow'),
                    'img' => esc_url(SOLARGLOW_DIR_IMG.'/opt/left-sidebar.png')
                ),
            )
        ),

    )
));


Redux::setSection('solarglow_opt', array(
	'title'     => esc_html__('Blog Single', 'solarglow'),
	'id'        => 'blog_single_opt',
	'icon'      => 'dashicons dashicons-media-document',
	'subsection' => true,
	'fields'    => array(
        array(
			'title'     => esc_html__( 'Post Meta', 'solarglow' ),
			'subtitle'  => esc_html__( 'Show/hide post meta on blog archive page', 'solarglow' ),
			'id'        => 'is_post_meta',
			'type'      => 'switch',
            'on'        => esc_html__( 'Show', 'solarglow' ),
            'off'       => esc_html__( 'Hide', 'solarglow' ),
            'default'   => '1',
		),
	)
));

// blog Share Options
Redux::setSection('solarglow_opt', array(
    'title'     => esc_html__('Blog Social Share', 'solarglow'),
    'id'        => 'blog_share_opt',
    'subsection'=> true,
    'icon'      => 'dashicons dashicons-share',
    'fields'    => array(

        array(
            'title'     => esc_html__( 'Social Share', 'solarglow' ),
            'id'        => 'is_social_share',
            'type'      => 'switch',
            'on'        => esc_html__( 'Enabled', 'solarglow' ),
            'off'       => esc_html__( 'Disabled', 'solarglow' ),
            'default'   => '0'
        ),

        array(
            'id' => 'blog_share_start',
            'type' => 'section',
            'title' => __('Share Options', 'solarglow'),
            'subtitle' => __('Enable/Disable social media share options as you want.', 'solarglow'),
            'required' => array('is_social_share','=','1'),
            'indent' => true,
        ),

        array(
            'title'    => esc_html__('Title', 'solarglow'),
            'id'       => 'share_heading',
            'type'     => 'text',
            'compiler' => true,
            'default'  => esc_html__('Share on', 'solarglow'),
        ),

        array(
            'id'       => 'is_post_fb',
            'type'     => 'switch',
            'title'    => esc_html__('Facebook', 'solarglow'),
            'default'  => true,
            'on'       => esc_html__('Show', 'solarglow'),
            'off'      => esc_html__('Hide', 'solarglow'),
        ),

        array(
            'id'       => 'is_post_twitter',
            'type'     => 'switch',
            'title'    => esc_html__('Twitter', 'solarglow'),
            'default'  => true,
            'on'       => esc_html__('Show', 'solarglow'),
            'off'      => esc_html__('Hide', 'solarglow'),
        ),

        array(
            'id'       => 'is_post_linkedin',
            'type'     => 'switch',
            'title'    => esc_html__('Linkedin', 'solarglow'),
            'on'       => esc_html__('Show', 'solarglow'),
            'off'      => esc_html__('Hide', 'solarglow'),
            'default'  => true,
        ),

        array(
            'id'       => 'is_post_pinterest',
            'type'     => 'switch',
            'title'    => esc_html__('Pinterest', 'solarglow'),
            'default'  => true,
            'on'       => esc_html__('Show', 'solarglow'),
            'off'      => esc_html__('Hide', 'solarglow'),
        ),

        array(
            'id'     => 'post_share_end',
            'type'   => 'section',
            'indent' => false,
        ),
    )
));


