<?php

// Footer settings
Redux::setSection('solarglow_opt', array(
	'title'     => esc_html__('Footer', 'solarglow'),
	'id'        => 'solarglow_footer',
	'icon'      => 'dashicons dashicons-table-row-before',
));


// ScrollUp settings
Redux::setSection('solarglow_opt', array(
	'title'     => esc_html__('Scroll Up', 'solarglow'),
	'id'        => 'solarglow_scrollup',
	'icon'      => 'el el-arrow-up',
	'subsection'=> true,
	'fields'    => array(   

        array(
            'title'     => esc_html__('Scroll Up Icon Color', 'solarglow'),
            'id'        => 'scroll_icon_color',
            'type'      => 'color',
            'output'    => '.scroll-up',
        ),

        array(
            'title'     => esc_html__('Scroll Up Background Color', 'solarglow'),
            'id'        => 'scroll_bg_color',
            'type'      => 'color',
        ),
        
        array(
            'title'     => esc_html__('Scroll Up Hover Icon Color', 'solarglow'),
            'id'        => 'scroll_hover_icon_color',
            'type'      => 'color',
            'output'    => '.scroll-up:hover',
        ),

        array(
            'title'     => esc_html__('Scroll Up Hover Background Color', 'solarglow'),
            'id'        => 'scroll_hover_bg_color',
            'type'      => 'color',
        ),

	)
));

// Footer settings
Redux::setSection('solarglow_opt', array(
	'title'     => esc_html__('Footer Top Settings', 'solarglow'),
	'id'        => 'solarglow_footer_widgets_opt',
	'icon'      => 'dashicons dashicons-editor-kitchensink',
	'subsection'=> true,
	'fields'    => array(

        array(
            'title'     => esc_html__( 'Footer Column', 'solarglow' ),
            'id'        => 'footer_column',
            'type'      => 'select',
            'default'   => '3',
            'options'   => array(
                '6' => esc_html__( 'Two Column', 'solarglow' ),
                '4' => esc_html__( 'Three Column', 'solarglow' ),
                '3' => esc_html__( 'Four Column', 'solarglow' ),
            )
        ),

        array(
            'id'     => 'divider_three',
            'type'   => 'divide',
        ),

        array(
            'title'     => esc_html__('Widget Title Color', 'solarglow'),
            'id'        => 'widget_title_color',
            'type'      => 'color',
        ),

        array(
            'title'     => esc_html__('Footer Text Color', 'solarglow'),
            'id'        => 'footer_text_color',
            'type'      => 'color',
            'output'    => 'footer .single-footer-wid ul li a, .widget .textwidget p, footer span, footer p',
        ),

        array(
            'id'     => 'divider_six',
            'type'   => 'divide',
        ),

        array(
            'title'     => esc_html__('Footer Background Color', 'solarglow'),
            'id'        => 'footer_bg_color',
            'type'      => 'color',
        ),
        
        array(
            'title'    => esc_html__('Footer Background Image', 'solarglow'),
            'id'       => 'footer_bg_img',
            'type'     => 'media',
            'compiler' => true,
        ),

	)
));

// Footer settings
Redux::setSection('solarglow_opt', array(
	'title'     => esc_html__('Footer Bottom', 'solarglow'),
	'id'        => 'solarglow_footer_style_opt',
	'icon'      => 'dashicons dashicons-editor-kitchensink',
	'subsection'=> true,
	'fields'    => array(

        array(
			'title'     => esc_html__('Footer Copyright', 'solarglow'),
			'desc'      => esc_html__('write down your own copyright info.', 'solarglow'),
			'id'        => 'footer_copyright_content',
			'type'      => 'editor',
			'default'   => '<p>&copy; <b>Solarglow</b> - 2024. All rights reserved.</p>'
		),

        array(
            'title'     => esc_html__('Footer Text Color', 'solarglow'),
            'id'        => 'footer_text_color',
            'type'      => 'color',
            'output'    => 'footer .footer-bottom p',
        ),

        array(
            'title'     => esc_html__('Footer Link Color', 'solarglow'),
            'id'        => 'footer_link_color',
            'type'      => 'color',
            'output'    => 'footer .footer-bottom a',
        ),

        array(
            'title'     => esc_html__('Footer Bottom Bar Background', 'solarglow'),
            'id'        => 'footer_bottom_bg_color',
            'type'      => 'color',
        ),

	)
));
