<?php
Redux::setSection('solarglow_opt', array(
    'title'            => esc_html__( 'Preloader Settings', 'solarglow' ),
    'id'               => 'preloader_opt',
    'icon'             => 'dashicons dashicons-sos',
    'fields'           => array(

        array(
            'id'      => 'is_preloader',
            'type'    => 'switch',
            'title'   => esc_html__( 'Pre-loader', 'solarglow' ),
            'on'      => esc_html__('Enable', 'solarglow'),
            'off'     => esc_html__('Disable', 'solarglow'),
            'default'   => '0',
        ),

        array(
            'title'     => esc_html__('Pre-Loader Title Text', 'solarglow'),
            'desc'  => esc_html__('change preloader title with your own.', 'solarglow'),
            'id'        => 'preloader_title',
            'type'      => 'text',
            'default'  => get_bloginfo('name'),
            'required' => array('is_preloader', '=', '1'),
        ),

        array(
            'required' => array('is_preloader', '=', '1'),
            'id'       => 'loading_text',
            'type'     => 'text',
            'title'    => esc_html__( 'Loading Text', 'solarglow' ),
            'default'  => esc_html__('Loading', 'solarglow'),
        ),

        array(
            'title'     => esc_html__('Preloader Title Color', 'solarglow'),
            'subtitle'  => esc_html__( 'Choice solid color for preloader title (Big Heading) color.', 'solarglow' ),
            'id'        => 'preloader_title_color',
            'type'      => 'color',
            'output'      => array(
                'color' => '.preloader .animation-preloader .txt-loading .letters-loading, .preloader .animation-preloader .txt-loading .letters-loading::before',
            ),
            'required' => array('is_preloader', '=', '1'),
        ),

        array(
            'title'     => esc_html__('Preloader Loading Text Color', 'solarglow'),
            'subtitle'  => esc_html__( 'Choice color for preloader loading text (p) color.', 'solarglow' ),
            'id'        => 'preloader_text_color',
            'type'      => 'color',
            'output'      => array(
                'color' => '.preloader .animation-preloader p',
            ),
            'required' => array('is_preloader', '=', '1'),
        ),

        array(
            'title'     => esc_html__('Preloader Spinner (moving) Color', 'solarglow'),
            'subtitle'  => esc_html__( 'Choice your solid color for border top Spinner (moving) color.', 'solarglow' ),
            'id'        => 'preloader_spinner_color',
            'type'      => 'color',
            'output'      => array(
                'border-top-color' => '.preloader .animation-preloader .spinner',
            ),
            'required' => array('is_preloader', '=', '1'),
        ),

        array(
            'required' => array('is_preloader', '=', '1'),
            'title'     => esc_html__('Preloader Background', 'solarglow'),
            'id'        => 'preloader_bg',
            'type'      => 'background',
        ),

    )
));